GDB (xrefs)

Public Attributes | List of all members
typy_iterator_object Struct Reference

## Public Attributes
PyObject_HEAD int | field
enum gdbpy_iter_kind | kind
struct pyty_type_object * | source

## Detailed Description

Definition at line 61 of file py-type.c.

## Member Data Documentation

## ◆ field

PyObject_HEAD int typy_iterator_object::field

Definition at line 64 of file py-type.c.

Referenced by typy_iterator_iternext(), and typy_make_iter().

## ◆ kind

enum gdbpy_iter_kind typy_iterator_object::kind

Definition at line 66 of file py-type.c.

Referenced by typy_iterator_iternext(), and typy_make_iter().

## ◆ source

struct pyty_type_object* typy_iterator_object::source

Definition at line 68 of file py-type.c.

Referenced by typy_iterator_dealloc(), typy_iterator_iternext(), and typy_make_iter().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-type.c